### Enumeration

# GIRepository TypeTag

since: 2.80

#### Declaration

    enum GIRepository.TypeTag

#### Description [src]

The type tag of a `GITypeInfo`.

Available since: 2.80

#### Members

`GI_TYPE_TAG_VOID`

  Void.

  - Value: `0`
  - Available since: 2.80
`GI_TYPE_TAG_BOOLEAN`

  Boolean.

  - Value: `1`
  - Available since: 2.80
`GI_TYPE_TAG_INT8`

  8-bit signed integer.

  - Value: `2`
  - Available since: 2.80
`GI_TYPE_TAG_UINT8`

  8-bit unsigned integer.

  - Value: `3`
  - Available since: 2.80
`GI_TYPE_TAG_INT16`

  16-bit signed integer.

  - Value: `4`
  - Available since: 2.80
`GI_TYPE_TAG_UINT16`

  16-bit unsigned integer.

  - Value: `5`
  - Available since: 2.80
`GI_TYPE_TAG_INT32`

  32-bit signed integer.

  - Value: `6`
  - Available since: 2.80
`GI_TYPE_TAG_UINT32`

  32-bit unsigned integer.

  - Value: `7`
  - Available since: 2.80
`GI_TYPE_TAG_INT64`

  64-bit signed integer.

  - Value: `8`
  - Available since: 2.80
`GI_TYPE_TAG_UINT64`

  64-bit unsigned integer.

  - Value: `9`
  - Available since: 2.80
`GI_TYPE_TAG_FLOAT`

  Float.

  - Value: `10`
  - Available since: 2.80
`GI_TYPE_TAG_DOUBLE`

  Double floating point.

  - Value: `11`
  - Available since: 2.80
`GI_TYPE_TAG_GTYPE`

  A `GType`.

  - Value: `12`
  - Available since: 2.80
`GI_TYPE_TAG_UTF8`

  A UTF-8 encoded string.

  - Value: `13`
  - Available since: 2.80
`GI_TYPE_TAG_FILENAME`

  A filename, encoded in the same encoding as the native filesystem is using.

  - Value: `14`
  - Available since: 2.80
`GI_TYPE_TAG_ARRAY`

  An array.

  - Value: `15`
  - Available since: 2.80
`GI_TYPE_TAG_INTERFACE`

  An extended interface object.

  - Value: `16`
  - Available since: 2.80
`GI_TYPE_TAG_GLIST`

  A `GList`.

  - Value: `17`
  - Available since: 2.80
`GI_TYPE_TAG_GSLIST`

  A `GSList`.

  - Value: `18`
  - Available since: 2.80
`GI_TYPE_TAG_GHASH`

  A `GHashTable`.

  - Value: `19`
  - Available since: 2.80
`GI_TYPE_TAG_ERROR`

  A `GError`.

  - Value: `20`
  - Available since: 2.80
`GI_TYPE_TAG_UNICHAR`

  Unicode character.

  - Value: `21`
  - Available since: 2.80